Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve
[Java] Class AbstractIvyDependencyManager

    java.lang.Object
      org.codehaus.groovy.grails.resolve.AbstractIvyDependencyManager

    @SuppressWarnings("serial")
    public abstract class AbstractIvyDependencyManager

Base class for IvyDependencyManager with some logic implemented in Java.

Authors:
  Graeme Rocher

Since:
  1.3

Field Summary
`static java.util.List` | `ALL_CONFIGURATIONS`
`static Configuration` | `BUILD_CONFIGURATION`
`static Configuration` | `COMPILE_CONFIGURATION`
`static Configuration` | `DOCS_CONFIGURATION`
`static Configuration` | `PROVIDED_CONFIGURATION`
`static Configuration` | `RUNTIME_CONFIGURATION`
`static Configuration` | `TEST_CONFIGURATION`
`protected java.lang.String` | `applicationName`
`protected java.lang.String` | `applicationVersion`
`protected String[]` | `configurationNames`
`protected java.util.Set` | `dependencies`
`protected java.util.Set` | `dependencyDescriptors`
`protected java.util.Set` | `metadataRegisteredPluginNames`
`protected java.util.Set` | `modules`
`protected java.util.Map` | `orgToDepMap`
`protected java.util.Set` | `pluginDependencyDescriptors`
`protected java.util.Set` | `pluginDependencyNames`
`protected java.util.Map` | `pluginNameToDescriptorMap`

Method Summary
`void` | `addDependency(ModuleRevisionId revisionId)` Adds a dependency to the project
`void` | `addDependencyDescriptor(DependencyDescriptor dd)` Adds a dependency descriptor to the project
`protected ArtifactId` | `createExcludeArtifactId(java.lang.String excludeName)`
`protected ArtifactId` | `createExcludeArtifactId(java.lang.String excludeName, java.lang.String group)`
`ModuleDescriptor` | `createModuleDescriptor()`
`java.lang.String` | `getApplicationName()`
`java.lang.String` | `getApplicationVersion()`
`java.util.Map` | `getConfigurationMappings()`
`String[]` | `getConfigurationNames()`
`java.util.Set` | `getDependencies()` Obtains a list of dependencies defined in the project
`java.util.Set` | `getMetadataRegisteredPluginNames()`
`DependencyDescriptor` | `getPluginDependencyDescriptor(java.lang.String pluginName)` Obtains a particular DependencyDescriptor by the plugin name
`java.util.Set` | `getPluginDependencyNames()` Obtains a set of plugins this application is dependent onb
`java.util.Set` | `getPluginExcludes(java.lang.String plugin)`
`boolean` | `isExcludedFromPlugin(java.lang.String plugin, java.lang.String dependencyName)`
`boolean` | `isExcludedFromPlugin(DependencyDescriptor currentPlugin, ArtifactId dependency)`
`boolean` | `isPluginTransitive(java.lang.String pluginName)` Returns whether a plugin is transitive
`void` | `setApplicationName(java.lang.String applicationName)`
`void` | `setApplicationVersion(java.lang.String applicationVersion)`
`void` | `setMetadataRegisteredPluginNames(java.util.Set metadataRegisteredPluginNames)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### ALL_CONFIGURATIONS

    public static java.util.List ALL_CONFIGURATIONS

### BUILD_CONFIGURATION

    public static Configuration BUILD_CONFIGURATION

### COMPILE_CONFIGURATION

    public static Configuration COMPILE_CONFIGURATION

### DOCS_CONFIGURATION

    public static Configuration DOCS_CONFIGURATION

### PROVIDED_CONFIGURATION

    public static Configuration PROVIDED_CONFIGURATION

### RUNTIME_CONFIGURATION

    public static Configuration RUNTIME_CONFIGURATION

### TEST_CONFIGURATION

    public static Configuration TEST_CONFIGURATION

### applicationName

    protected java.lang.String applicationName

### applicationVersion

    protected java.lang.String applicationVersion

### configurationNames

    protected String[] configurationNames

### dependencies

    protected java.util.Set dependencies

### dependencyDescriptors

    protected java.util.Set dependencyDescriptors

### metadataRegisteredPluginNames

    protected java.util.Set metadataRegisteredPluginNames

### modules

    protected java.util.Set modules

### orgToDepMap

    protected java.util.Map orgToDepMap

### pluginDependencyDescriptors

    protected java.util.Set pluginDependencyDescriptors

### pluginDependencyNames

    protected java.util.Set pluginDependencyNames

### pluginNameToDescriptorMap

    protected java.util.Map pluginNameToDescriptorMap

Method Detail

### addDependency

    public void addDependency(ModuleRevisionId revisionId)

  Adds a dependency to the project
  Parameters:
    `revisionId` - The ModuleRevisionId instance

### addDependencyDescriptor

    public void addDependencyDescriptor(DependencyDescriptor dd)

  Adds a dependency descriptor to the project
  Parameters:
    `dd` - The DependencyDescriptor instance

### createExcludeArtifactId

    protected ArtifactId createExcludeArtifactId(java.lang.String excludeName)

### createExcludeArtifactId

    protected ArtifactId createExcludeArtifactId(java.lang.String excludeName, java.lang.String group)

### createModuleDescriptor

    public ModuleDescriptor createModuleDescriptor()

### getApplicationName

    public java.lang.String getApplicationName()

### getApplicationVersion

    public java.lang.String getApplicationVersion()

### getConfigurationMappings

    public java.util.Map getConfigurationMappings()

### getConfigurationNames

    public String[] getConfigurationNames()

### getDependencies

    public java.util.Set getDependencies()

  Obtains a list of dependencies defined in the project

### getMetadataRegisteredPluginNames

    public java.util.Set getMetadataRegisteredPluginNames()

### getPluginDependencyDescriptor

    public DependencyDescriptor getPluginDependencyDescriptor(java.lang.String pluginName)

  Obtains a particular DependencyDescriptor by the plugin name
  Parameters:
    `pluginName` - The plugin name
  Returns:
    A DependencyDescriptor or null

### getPluginDependencyNames

    public java.util.Set getPluginDependencyNames()

  Obtains a set of plugins this application is dependent onb
  Returns:
    A set of plugins names

### getPluginExcludes

    public java.util.Set getPluginExcludes(java.lang.String plugin)

### isExcludedFromPlugin

    public boolean isExcludedFromPlugin(java.lang.String plugin, java.lang.String dependencyName)

### isExcludedFromPlugin

    public boolean isExcludedFromPlugin(DependencyDescriptor currentPlugin, ArtifactId dependency)

### isPluginTransitive

    public boolean isPluginTransitive(java.lang.String pluginName)

  Returns whether a plugin is transitive
  Parameters:
    `pluginName` - The name of the plugin
  Returns:
    True if the plugin is transitive

### setApplicationName

    public void setApplicationName(java.lang.String applicationName)

### setApplicationVersion

    public void setApplicationVersion(java.lang.String applicationVersion)

### setMetadataRegisteredPluginNames

    public void setMetadataRegisteredPluginNames(java.util.Set metadataRegisteredPluginNames)

Groovy Documentation